<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<table [dataSource]="appDepartments" cdk-table
       class="openk-table openk-table---without-last-border">

  <caption hidden>{{ "settings.departments.title" | translate}}</caption>

  <tr *cdkHeaderRowDef="appColumns; sticky: true" cdk-header-row></tr>

  <tr *cdkRowDef="let myRowData; columns: appColumns" cdk-row></tr>

  <ng-container cdkColumnDef="city">
    <th *cdkHeaderCellDef="let header"
        cdk-header-cell
        class="table-column"
        scope="col">
      {{"settings.departments.table.city" | translate}}
    </th>
    <td *cdkCellDef="let department"
        cdk-cell
        class="table-column">
      <span>{{department?.key?.split("#").length > 1 ? department.key.split("#")[0] : ""}}</span>
    </td>
  </ng-container>

  <ng-container cdkColumnDef="district">
    <th *cdkHeaderCellDef="let header"
        cdk-header-cell
        class="table-column"
        scope="col">
      {{"settings.departments.table.district" | translate}}
    </th>
    <td *cdkCellDef="let department"
        cdk-cell
        class="table-column">
      <span>{{department?.key?.split("#").length > 1 ? department.key.split("#")[1] : ""}}</span>
    </td>
  </ng-container>

  <ng-container cdkColumnDef="locationDesignation">
    <th *cdkHeaderCellDef="let header"
        cdk-header-cell
        class="table-column"
        scope="col">
      {{"settings.departments.table.locationDesignation" | translate}}
    </th>
    <td *cdkCellDef="let department"
        cdk-cell
        class="table-column">
      <span>{{department?.value?.locationDesignation}}</span>
    </td>
  </ng-container>

  <ng-container cdkColumnDef="sectors">
    <th *cdkHeaderCellDef="let header"
        cdk-header-cell
        class="table-column"
        scope="col">
      {{"settings.departments.table.sectors" | translate}}
    </th>
    <td *cdkCellDef="let department"
        cdk-cell
        class="table-column">
      <span>{{department?.value?.provides.join(', ')}}</span>
    </td>
  </ng-container>

  <ng-container cdkColumnDef="departments">
    <th *cdkHeaderCellDef="let header"
        cdk-header-cell
        class="table-column"
        scope="col">
      {{"settings.departments.table.departments" | translate}}
    </th>
    <td *cdkCellDef="let department"
        cdk-cell
        class="table-column">
      <ng-container *ngFor="let group of (department?.value?.departments | objToArray)">
        <div *ngFor="let dep of group.value">
          <mat-icon class="list--element--icon">fiber_manual_record</mat-icon>
          <span class="list--element---bold">{{group.key}}</span>
          <span>{{dep}}</span>
        </div>
      </ng-container>
    </td>
  </ng-container>

</table>
